Bug 556928 - new Aliases File entries are throwing augeas stack traces (detected by automation)
new Aliases File entries are throwing augeas stack traces (detected by automa...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: SubBug
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-19 15:19 EST by John Sefler
Modified: 2014-05-23 16:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-23 16:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-01-19 15:19:58 EST
Description of problem:
When entering new aliases in a "Aliases File" resource through the RHQ UI,
a Stack Trace is thrown when Save is pressed.  Listed below are the aliases
that are failing.  Note: Not all alias formats fail, only some.


Version-Release number of selected component (if applicable):
iManage master builds dated in Jan 2010.
w/ augeas-0.6.0-2.el5 installed on the rhq-agent machines


How reproducible:
always

Steps to Reproduce:
1.In the iManage UI, open an Aliases File resource and try adding
  (any one of the following new entries):
  Name:             Value:
  test-team         john,wes,jeff
  test-team@redhat  john@redhat.com,wes@redhat.com,jeff@redhat.com
  co-ops            randy, jen
  bob               bob (Bob, the postmaster)
  joe               Joe Shmoe <shmoe@redhat.com>
  fred              "spaced out mailbox"@redhat.com
2. Click OK and Save
3. The Configuration History status is Failure.  Click it to see the augeas stack trace:

Actual results:

java.lang.RuntimeException%3A%20File%20%22/etc/aliases/error/path%22%3A/files/etc/aliases/00File%20%22/etc/aliases/error/lens%22%3A/usr/share/augeas/lenses/dist/aliases.aug%3A16.17-18.30File%20%22/etc/aliases/error/message%22%3AFailed%20to%20match%20%20%20%20%20%7B%20/name/%20%3D%20/%5B%5E%01-%04%09%0A%20%23%3A@%5D+%7C%22%5B%5E%01-%04%0A%22%5D*%22/%20%7D%7B%20/value/%20%3D%20/%5B%5E%01-%04%09%0A%20%2C%5D+/%20%7D%28%7B%20/value/%20%3D%20/%5B%5E%01-%04%09%0A%20%2C%5D+/%20%7D%29*%20%20with%20tree%20%20%20%20%7B%20%22name%22%20%3D%20%22test-team%22%20%7D%20%7B%20%22value%22%20%3D%20%22john%2Cwes%2Cjeff%22%20%7Dat%20org.rhq.plugins.augeas.AugeasConfigurationComponent.saveConfigurationFiles%28AugeasConfigurationComponent.java%3A615%29at%20org.rhq.plugins.augeas.AugeasConfigurationComponent.updateResourceConfiguration%28AugeasConfigurationComponent.java%3A179%29at%20org.rhq.plugins.aliases.AliasesComponent.updateResourceConfiguration%28AliasesComponent.java%3A60%29at%20sun.reflect.GeneratedMethodAccessor94.invoke%28Unknown%20Source%29at%20sun.reflect.DelegatingMethodAccessorImpl.invoke%28DelegatingMethodAccessorImpl.java%3A43%29at%20java.lang.reflect.Method.invoke%28Method.java%3A616%29at%20org.rhq.core.pc.inventory.ResourceContainer%24ComponentInvocationThread.call%28ResourceContainer.java%3A525%29at%20java.util.concurrent.FutureTask%24Sync.innerRun%28FutureTask.java%3A334%29at%20java.util.concurrent.FutureTask.run%28FutureTask.java%3A166%29at%20java.util.concurrent.ThreadPoolExecutor.runWorker%28ThreadPoolExecutor.java%3A1110%29at%20java.util.concurrent.ThreadPoolExecutor%24Worker.run%28ThreadPoolExecutor.java%3A603%29at%20java.lang.Thread.run%28Thread.java%3A636%29Caused%20by%3A%20net.augeas.AugeasException%3A%20save%20failedat%20net.augeas.Augeas.processLastCall%28Augeas.java%3A396%29at%20net.augeas.Augeas.save%28Augeas.java%3A338%29at%20org.rhq.plugins.augeas.AugeasConfigurationComponent.saveConfigurationFiles%28AugeasConfigurationComponent.java%3A613%29...%2011%20more
  



Expected results:
Success

Additional info:
Reference these web pages for examples of valid aliases:
// Reference: http://www.feep.net/sendmail/tutorial/intro/aliases.html
// Reference: http://www.yolinux.com/TUTORIALS/Postfix.html
// Reference: http://www.mathematik.uni-ulm.de/help/qmail/newaliases.1.html
// Reference: man aliases
Comment 1 John Sefler 2010-01-19 16:08:18 EST
Another alias entry that fails to save is:
  Name:             Value:
  program-bugs      "|/usr/local/bin/program-bug-tracker bug 256"

notice that the double quotes are required for the piped command with arguments.
Comment 2 wes hayutin 2010-02-07 10:25:40 EST
Charles,
This bug is blocking some automated regression tests. Can you please have
someone on your team take a look at the issue.  Thank you!!!
Comment 3 wes hayutin 2010-02-08 14:30:39 EST
Charles does not want this worked on until the feature is back on the road map, removing the automation blocker tag.
Comment 4 wes hayutin 2010-02-16 11:58:48 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 12:03:31 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.